# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl(English.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 1.01
%define module_name Getopt-ExPar
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt1
Summary: Extended Parameters command line parser.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/H/HL/HLHAMILT/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This is a method-based command line argument handling package.  ExPar was originally based on EvaP
but was eventually rewritten from scratch.  I have tested it and refined it over the course of around
6 years.  I have been using it for internal projects for several years and now it is time to release it.


%prep
%setup -n %module_name-%module_version
# depth is > 1 .. moving up
pushd "Getopt"
  mv -f * ../
  mv -f .* ../ ||:
popd

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/G*
%perl_vendor_privlib/auto/*
%changelog
* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- initial import by package builder

